Bug 178700 - [WPE] Cannot get backtrace from WPE release bot
Summary: [WPE] Cannot get backtrace from WPE release bot
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WPE WebKit (show other bugs)
Version: Other
Hardware: PC Linux
: P2 Normal
Assignee: Ms2ger (he/him; ⌚ UTC+1/+2)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-23 19:58 PDT by Michael Catanzaro
Modified: 2018-02-21 10:16 PST (History)
8 users (show)

See Also:


Attachments
Patch (2.62 KB, patch)
2018-02-21 07:54 PST, Ms2ger (he/him; ⌚ UTC+1/+2)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Catanzaro 2017-10-23 19:58:06 PDT
We have crashing tests on the WPE release bot, but no way to get backtraces out of them:

crash log for WPEWebProcess (pid 29100):

Coredump core-pid_29100.dump not found. To enable crash logs:

- run this command as super-user: echo "/var/www/cores/bb-wpe-release-test-64/core-pid_%p.dump" > /proc/sys/kernel/core_pattern
- enable core dumps: ulimit -c unlimited
- set the WEBKIT_CORE_DUMPS_DIRECTORY environment variable: export WEBKIT_CORE_DUMPS_DIRECTORY=/var/www/cores/bb-wpe-release-test-64


STDERR: <empty>

I also notice that we don't have WPE debug bots, so the backtrace is not going to be very useful even if it were present. If we're only going to have one bot, it's much more important to have a working debug bot IMO.
Comment 1 Michael Catanzaro 2018-02-20 09:22:30 PST
This probably needs to be fixed in the same way that Fujii fixed https://trac.webkit.org/changeset/228731/webkit.

Also, I'm skeptical about the "DatabaseProcess" literal as that *should* have been renamed to StorageProcess. Not sure if that actually happened, though.
Comment 2 Ms2ger (he/him; ⌚ UTC+1/+2) 2018-02-21 07:54:45 PST
Created attachment 334376 [details]
Patch
Comment 3 Michael Catanzaro 2018-02-21 07:58:25 PST
Comment on attachment 334376 [details]
Patch

Hope this works....
Comment 4 WebKit Commit Bot 2018-02-21 10:16:26 PST
Comment on attachment 334376 [details]
Patch

Clearing flags on attachment: 334376

Committed r228881: <https://trac.webkit.org/changeset/228881>
Comment 5 WebKit Commit Bot 2018-02-21 10:16:27 PST
All reviewed patches have been landed.  Closing bug.